Bug Hunting Session
Bug 88329 - Document preview under Windows 8.1 does not work [Hard to reproduce]
Summary: Document preview under Windows 8.1 does not work [Hard to reproduce]
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 14:45 UTC by Tony Szanto
Modified: 2017-06-28 12:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document to assess Win 8.1 Explorer prceview problem (15.79 KB, application/vnd.oasis.opendocument.text)
2015-01-15 14:02 UTC, Tony Szanto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Szanto 2015-01-12 14:45:22 UTC
The preview under Windows 8.1 is not working.  LibreOffice documents before 2011 preview properly, but later documents do not.  Newer Libreoffice documents have to be opened to review contents.
Comment 1 Buovjaga 2015-01-13 18:29:40 UTC
You mean print preview? I'm seeing no problems.
Please attach an example document.
Use this, if needed: https://wiki.documentfoundation.org/QA/BugReport/Attachments#Confidential_Attachments
Set back to UNCONFIRMED after providing the document.

Win 8.1 32-bit

LibO Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44
Comment 2 Tony Szanto 2015-01-15 14:02:40 UTC
Created attachment 112294 [details]
Test document to assess Win 8.1 Explorer prceview problem

I have Windows 8.1 and when I open a directory which contains a LibreOffice document, the file preview doesn't work when the document is selected.  Older documents of LibreOffice and Staroffice preview properly, as do all Word docs and acrobat pdf docs.
Comment 3 Buovjaga 2015-01-15 14:09:56 UTC
To testers: in a Windows file explorer window, select the preview feature from the View tab and the preview should show in the right side.

The file previews OK for me on a Win 8.1 32-bit system. The computer does have Microsoft Office 2013 installed, though. I have no idea, if the preview is dependent of it. It also has LibO 4.5 alpha installed.
Comment 4 Robinson Tryon (qubit) 2015-01-15 20:39:06 UTC
(In reply to Tony Szanto from comment #0)
> The preview under Windows 8.1 is not working.

[Tony: Testing with 4.5-master ]

(In reply to Beluga from comment #1)
> You mean print preview? I'm seeing no problems.
> ...
> Win 8.1 32-bit
> LibO Version: 4.5.0.0.alpha0+

Same OS, same LO build/branch, but different results?
Summary -> [Hard to repro]

(In reply to Beluga from comment #3)
>... The computer does
> have Microsoft Office 2013 installed, though. I have no idea, if the preview
> is dependent of it. It also has LibO 4.5 alpha installed.

Is there a good way to determine which program is providing the preview information in Win Explorer?
Comment 5 Robinson Tryon (qubit) 2015-01-15 20:41:42 UTC
(In reply to Tony Szanto from comment #2)
> I have Windows 8.1 and when I open a directory which contains a LibreOffice
> document, the file preview doesn't work when the document is selected. 
> Older documents of LibreOffice and Staroffice preview properly, as do all
> Word docs and acrobat pdf docs.

Question time:

- Do you have MS-Office installed on the system? And if so, what version?

- What programs/versions were used to create the older LO and StarOffice documents?
Comment 6 Tony Szanto 2015-01-15 21:24:04 UTC
I have MS Office 2010.  The LO and Staroffice files that I can view were created around mid 2011.
Comment 7 Robinson Tryon (qubit) 2015-01-15 21:34:56 UTC
(In reply to Tony Szanto from comment #6)
> I have MS Office 2010.  The LO and Staroffice files that I can view were
> created around mid 2011.

Okay, theory time:

1) Looks like ODF 1.2 was released at the end of september, 2011
(https://en.wikipedia.org/wiki/OpenDocument)

2) From what I can tell, Office 2013 was the first rev to (really) support ODF 1.2:
http://www.zdnet.com/article/microsofts-office-2013-odf-1-2-support-could-be-true-catalyst-for-openoffice-adoption/
http://www.h-online.com/open/news/item/Microsoft-Office-15-to-support-ODF-1-2-1560464.html
http://ask.libreoffice.org/en/question/9504/ms-office-2010-not-opening-doc-files/

3) ODF documents created w/later LO revs are probably in ODF 1.2 format


RESULT: Assuming that MS-Office is the tool that's driving the previews in Windows Explorer, this explains why you (w/Office 2010) aren't seeing modern ODF documents w/previews, and why Beluga (w/Office 2013) is.

Solution?  Aside from upgrading MS-Office, I'm not sure. I wonder if there's a way to get LibreOffice to provide the previews...
Comment 8 Gordo 2015-07-21 16:19:57 UTC
Perhaps MS Word is set as the default for odf file type.

http://windows.microsoft.com/en-gb/windows-8/choose-programs-windows-uses-default
Comment 9 Gordo 2015-07-21 16:21:45 UTC
I meant odt.
Comment 10 tommy27 2016-11-26 05:40:19 UTC
@ Tony Szanto
are you still seeing this bug using latest LibO releases (5.1.6.2 and 5.2.3.3 are available right now).

please give feedback.
status NEEDINFO until then.
Comment 11 QA Administrators 2017-05-31 10:51:14 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2017-06-28 12:34:22 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170628